
#define YSPRSZ 3
#define XSPRSZ 6
#define YSCRSZ 7
#define XSCRSZ 10

#define MX 35
#define MY 32
#define HEIGHT 128

/* Predeclarations */
void update_status();
void move_dir();
void cleanup();
void read_spr();
void read_map();
void drawmap();
void drawspr();
void init_display();
void startxy();
void mapcpy();
void draw_status();
void draw_start();
void end_scr();
void do_save();
void do_load();
void encode();
void calc_diamonds();
char decode();

/* Files used */
#ifndef MAPFILE
char *map_file = "/home/lily/cs/uba/open/lib/perp_map";
#else
char *map_file = MAPFILE;
#endif

#ifndef SPRFILE
char *spr_file = "/home/lily/cs/uba/open/lib/perp_spr";
#else
char *spr_file = SPRFILE;
#endif

struct savetype {
    char map[MY][MX];
    int x,y,dleft,bleft,level,moves,score,chk;
};
